%define upstream_name    Devel-Caller
%define upstream_version 2.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Meatier versions of caller()
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PadWalker) >= 0.80.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(DB\\)

%description
This module provides various improvements over the built-in caller()
primitive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorarch}/Devel
%{perl_vendorarch}/auto/Devel


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.60.0-11pclos2017
- rebuild against updates

